Skip to main content
POST
/
api
/
v1
/
chargebacks
Chargeback oluştur
curl --request POST \
  --url https://vpos-sandbox.payven.com.tr/api/v1/chargebacks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "currency": "<string>",
  "reason": "<string>",
  "reason_code": "<string>",
  "bank_reference_no": "<string>",
  "response_deadline": "2023-11-07T05:31:56Z",
  "notes": "<string>"
}
'
{
  "type": "https://docs.payven.com.tr/errors/bad_request",
  "title": "Geçersiz istek",
  "status": 400,
  "code": "bad_request",
  "detail": "amount.amount alanı zorunlu.",
  "correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

application/json
transaction_id
string<uuid>
amount
integer<int64>
currency
string | null
reason
string | null
reason_code
string | null
bank_reference_no
string | null
response_deadline
string<date-time> | null
notes
string | null

Response

Created